本环境只支持阿里云&腾讯云环境，其他环境如需使用请联系 decodedcm@gmail.com。使用本环境之前请先联系相关人员后，在进行使用。
本系统采用松耦合模块化配置，具体情况清根据自身需要选择模块。

## 背景：
    为了解决机器骤加的问题，推出本系统，旨在解决基本环境的安装及各个机器配置不统一情况。基于Devops理念，可运行简单的几条命令即可完成复杂的配置工作。

## 面向群体：全体

## Base
    裸配置机器请先运行此模块

### 使用：
    1. 个人环境安装ansible，使用pip工具安装（需要Python3）。pip3 install ansible即可完成。
    2. git clone http://code.mayi888.com/operation/Ant_Devops.git
    3. cd Ant_Devops
    4. 设置免密认证。文档：https://blog.csdn.net/furzoom/article/details/79139570(如果免密认证失败，请在第七步加-k参数)
    5. 修改host.yml.examples中内容为远程主机公网地址，并重命名此文件为host.yml
    6. 修改roles/nginx/templates/examples.conf或roles/nginx/templates/examplesadmin.conf内容，把文中“examples”替换成需要的URL。其中，roles/nginx/templates/examples.conf适合前后分离的web环境。roles/nginx/templates/examplesadmin.conf适合用到“统一管理平台”的web环境。
    7. 运行 ansible-playbook -i host.yml  -u root standard.yml

## 本环境内容：
    1. nginx(tenginx 2.2.2)
    2. openjdk(1.8)
    3. docker(17.12.1-ce)
    4. git(2.9.5)

## Zabbix
    自动化部署Zabbix监控

### 使用：
    1-5同上
    6. 修改变量 roles/zabbix_server/templates/zabbix_server.conf（DB开头的三个变量），roles/zabbix_agent/templates/zabbix_agentd.conf（Server变量），roles/zabbix_server/files/zabbix_db.sh（mysql的变量），var/main.yml（mysql args变量）
    7. 运行ansible-playbook -i host.yml  -u root zabbix.yml